org.apache.hc.client5.http.async

## Interface AsyncExecChain

    @Contract(threading=STATELESS)
    public interface AsyncExecChain

Represents a single element in the client side asynchronous request execution chain.

Since:
  5.0

### Nested Class Summary

Nested Classes
`static interface` `AsyncExecChain.Scheduler` Request execution scheduler
`static class` `AsyncExecChain.Scope` Request execution scope that includes the unique message exchange ID, the connection route, the original request message, the execution context and the internal execution runtime.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `proceed(HttpRequest request, AsyncEntityProducer entityProducer, AsyncExecChain.Scope scope, AsyncExecCallback asyncExecCallback)` Proceeds to the next element in the request execution chain.

### Method Detail

#### proceed

    void proceed(HttpRequest request,
                 AsyncEntityProducer entityProducer,
                 AsyncExecChain.Scope scope,
                 AsyncExecCallback asyncExecCallback)
          throws HttpException,
                 IOException

Proceeds to the next element in the request execution chain.

Parameters:
  `request` - the actual request.
  `entityProducer` - the request entity producer or `null` if the request does not enclose an entity.
  `scope` - the execution scope .
  `asyncExecCallback` - the execution callback.
Throws:
  `HttpException`
  `IOException`